#ifndef MEDIAMETADATA_H
#define MEDIAMETADATA_H

#include <QtGlobal>

class MediaMetadata
{
public:
    MediaMetadata(qint32 w, qint32 h, qint64 duration) :
        m_width(w), m_height(h), m_duration(duration) {}

    qint32 width() { return m_width; }
    qint32 height() { return m_height; }
    qint64 duration() { return m_duration; }

private:
    qint32 m_width;
    qint32 m_height;
    qint64 m_duration;
};

#endif // MEDIAMETADATA_H
