#ifndef ENDPOINT_H
#define ENDPOINT_H

#include <QString>

class Endpoint
{
public:
    Endpoint() {}
    explicit Endpoint(const QString &host, qint32 port) : m_host(host), m_port(port) {}
    ~Endpoint() {}

    QString host() const { return m_host; }
    qint32 port() const { return m_port; }
    void setHost(const QString &host) { m_host = host; }
    void setPort(qint32 port) { m_port = port; }

protected:
    QString m_host;
    qint32 m_port;
};

#endif // ENDPOINT_H
