#ifndef INPUTPHOTOCROP_H
#define INPUTPHOTOCROP_H
class InputPhotoCrop
{
public:

    enum InputPhotoCropType {
       typeInputPhotoCropAuto = 0xade6b004,
       typeInputPhotoCrop = 0xd9915325
    };

    InputPhotoCrop(InputPhotoCropType classType) :
        m_cropTop(0.0),
        m_cropLeft(0.0),
        m_cropWidth(0.0),
        m_classType(classType) {}

    void setCropLeft(double cropLeft) {
        m_cropLeft = cropLeft;
    }
    double cropLeft() const {
        return m_cropLeft;
    }
    void setCropTop(double cropTop) {
        m_cropTop = cropTop;
    }
    double cropTop() const {
        return m_cropTop;
    }
    void setCropWidth(double cropWidth) {
        m_cropWidth = cropWidth;
    }
    double cropWidth() const {
        return m_cropWidth;
    }
    void setClassType(InputPhotoCropType classType) {
        m_classType = classType;
    }
    InputPhotoCropType classType() const {
        return m_classType;
    }

private:
    double m_cropTop;
    double m_cropLeft;
    double m_cropWidth;
    InputPhotoCropType m_classType;
};
#endif // INPUTPHOTOCROP_H
