/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef MESSAGESFILTER_H
#define MESSAGESFILTER_H
class MessagesFilter
{
public:

    enum MessagesFilterType {
       typeInputMessagesFilterPhotos = 0x9609a51c,
       typeInputMessagesFilterVideo = 0x9fc00e65,
       typeInputMessagesFilterDocument = 0x9eddf188,
       typeInputMessagesFilterEmpty = 0x57e2f66c,
       typeInputMessagesFilterPhotoVideo = 0x56e9f0e4,
       typeInputMessagesFilterAudio = 0xcfc87522
    };

    MessagesFilter(MessagesFilterType classType) :
        m_classType(classType) {}

    void setClassType(MessagesFilterType classType) {
        m_classType = classType;
    }
    MessagesFilterType classType() const {
        return m_classType;
    }

private:
    MessagesFilterType m_classType;
};
#endif // MESSAGESFILTER_H
