#include "modelsmanager.h"

ModelsManager::ModelsManager() {
}

ModelsManager *ModelsManager::instance() {
    static ModelsManager *instance = new ModelsManager;
    return instance;
}

ContactsModel &ModelsManager::contactsModel() {
    return m_contactsModel;
}

DialogsModel &ModelsManager::dialogsModel() {
    return m_dialogsModel;
}

MessagesModel &ModelsManager::messagesModel(qint32 dialogId) {
    MessagesModel *mm = qvariant_cast<MessagesModel *>(m_dialogsModel.getMessagesModelFromId(dialogId));
    return *mm;
}
