#ifndef TLOBJECT_H
#define TLOBJECT_H

#include <QObject>

class TLObject : public QObject {
    Q_OBJECT
public:
    explicit TLObject(QObject *parent = 0) : QObject(parent) {}

    /**
     * @brief setData sets the real data of the TLObject. Must be implemented in every inherited class in its way
     */
    virtual void setData(const void *) = 0;
};
Q_DECLARE_INTERFACE(TLObject,"Telegram.Plugin.TLObject/1.0")

#endif
