import QtQuick 2.0
import Ubuntu.Components 0.1
import "../components"

Page {

    property int peerId
    property int peerIsChat
    property alias sendMsgTextField : sendMsgTextField
    property alias backButton: backButton

    title: i18n.tr('Dialog');

//    Flickable {
//        boundsBehavior: Flickable.StopAtBounds

//        SentPhraseBubble {
//            text: "ey, nene, que tal te va?"
//        }
//    }

    Column {

        anchors {
            left: parent.left
            right: parent.right
            bottom: parent.bottom
        }

        Button {
            id: backButton
            text: "<- Back"
        }

        TextField {
            id: sendMsgTextField
            placeholderText: i18n.tr("Enter msg to send")
            inputMethodHints: Qt.ImhNone
            width: parent.width
            anchors.bottom: parent
        }

    }

}
