import QtQuick 2.0
import Ubuntu.Plugins.Telegram 0.1

DialogDesignPage {

    sendMsgTextField.onAccepted: {
        var message = sendMsgTextField.text;
        if (message.length > 0) {
            //Another option is creating the input object by using:
            //var inputPeer = Qt.createQmlObject('import Ubuntu.Plugins.Telegram 0.1; TLInputPeer{}', dialogPage, null);

            if (peerIsChat) {
                inputPeer.classType = TLInputPeer.TypeInputPeerChat;
                inputPeer.chatId = peerId;
            } else {
                inputPeer.classType = TLInputPeer.TypeInputPeerContact;
                inputPeer.userId = peerId;
            }

            telegramClient.messagesSendMessage(inputPeer, message);
            sendMsgTextField.text = "";
        }
    }

    backButton.onClicked: pageStack.showPage(dialogsPage)

    TLInputPeer {
        id: inputPeer
    }
}
