/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef ACKTIMER_H
#define ACKTIMER_H

#include "dc.h"
#include <QTimer>

class EventTimer : public QTimer
{
    Q_OBJECT
public:
    explicit EventTimer(qint64 msgId, qint32 timeout, QObject *parent = 0);

Q_SIGNALS:
    void timerTimeout(qint64 msgId);

private:
    qint64 m_msgId;

private Q_SLOTS:
    void onTimeout();
};

#endif // ACKTIMER_H
