#ifndef CHATLOCATED_H
#define CHATLOCATED_H

#include <QtGlobal>

class ChatLocated
{
public:

    enum ChatLocatedType {
       typeChatLocated = 0x3631cf4c
    };

    ChatLocated() :
        m_chatId(0),
        m_distance(0),
        m_classType(typeChatLocated) {}

    void setChatId(qint32 chatId) {
        m_chatId = chatId;
    }
    qint32 chatId() const {
        return m_chatId;
    }
    void setDistance(qint32 distance) {
        m_distance = distance;
    }
    qint32 distance() const {
        return m_distance;
    }
    void setClassType(ChatLocatedType classType) {
        m_classType = classType;
    }
    ChatLocatedType classType() const {
        return m_classType;
    }

private:
    qint32 m_chatId;
    qint32 m_distance;
    ChatLocatedType m_classType;
};
#endif // CHATLOCATED_H
