CREATE TABLE users (
	id int NOT NULL,
    firstName varchar(255),
    lastName varchar(255),
	phone varchar(15),
	thumbnail varchar(255),
	lastSeenOnline int,
	online bool,
	CONSTRAINT pk_UsersID PRIMARY KEY (id)
);

CREATE TABLE dialogs (
	id int NOT NULL,
	isChat bool,
	unreadCount int,
	CONSTRAINT pk_DialogsID PRIMARY KEY (id)
);

CREATE TABLE chats (
	id int NOT NULL,
	title varchar(255),
	participantsCount tinyint,
	thumbnail varchar(255),
	CONSTRAINT pk_ChatsID PRIMARY KEY (id)
);

CREATE TABLE messages (
	id int NOT NULL,
	fromId int,
	toId int,
	toIsChat bool,
	out bool,
	unread bool,
	date int,
	text varchar(1024),
	mediaType int,
	CONSTRAINT pk_MessagesID PRIMARY KEY (id)
);

